libvisio::VSDTextBlockStyle Struct Reference documentation

libvisio::VSDTextBlockStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDTextBlockStyle ()
| VSDTextBlockStyle (double lm, double rm, double tm, double bm, unsigned char va, bool isBgFilled, Colour bgClr, double defTab, unsigned char td)
| VSDTextBlockStyle (const VSDTextBlockStyle &style)
| ~VSDTextBlockStyle ()
void | override (const VSDOptionalTextBlockStyle &style, const VSDXTheme *)

## Public Attributes
double | leftMargin
double | rightMargin
double | topMargin
double | bottomMargin
unsigned char | verticalAlign
bool | isTextBkgndFilled
Colour | textBkgndColour
double | defaultTabStop
unsigned char | textDirection

## Constructor & Destructor Documentation

## ◆ VSDTextBlockStyle() [1/3]

libvisio::VSDTextBlockStyle::VSDTextBlockStyle | ( |  | ) |
| inline

Referenced by VSDTextBlockStyle().

## ◆ VSDTextBlockStyle() [2/3]

libvisio::VSDTextBlockStyle::VSDTextBlockStyle | ( | double | lm,
|  | double | rm,
|  | double | tm,
|  | double | bm,
|  | unsigned char | va,
|  | bool | isBgFilled,
|  | Colour | bgClr,
|  | double | defTab,
|  | unsigned char | td )
| inline

## ◆ VSDTextBlockStyle() [3/3]

libvisio::VSDTextBlockStyle::VSDTextBlockStyle | ( | const VSDTextBlockStyle & | style | ) |
| inline

## ◆ ~VSDTextBlockStyle()

libvisio::VSDTextBlockStyle::~VSDTextBlockStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ override()

void libvisio::VSDTextBlockStyle::override | ( | const VSDOptionalTextBlockStyle & | style,
|  | const VSDXTheme * | )
| inline

## Member Data Documentation

## ◆ bottomMargin

double libvisio::VSDTextBlockStyle::bottomMargin

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

## ◆ defaultTabStop

double libvisio::VSDTextBlockStyle::defaultTabStop

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

## ◆ isTextBkgndFilled

bool libvisio::VSDTextBlockStyle::isTextBkgndFilled

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

## ◆ leftMargin

double libvisio::VSDTextBlockStyle::leftMargin

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

## ◆ rightMargin

double libvisio::VSDTextBlockStyle::rightMargin

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

## ◆ textBkgndColour

Colour libvisio::VSDTextBlockStyle::textBkgndColour

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

## ◆ textDirection

unsigned char libvisio::VSDTextBlockStyle::textDirection

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

## ◆ topMargin

double libvisio::VSDTextBlockStyle::topMargin

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

## ◆ verticalAlign

unsigned char libvisio::VSDTextBlockStyle::verticalAlign

Referenced by override(), VSDTextBlockStyle(), VSDTextBlockStyle(), and VSDTextBlockStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h